services:
    nelmio_security.signed_cookie_listener:
        class: Nelmio\SecurityBundle\EventListener\SignedCookieListener
        arguments:
            - '@nelmio_security.signer'
            - '%nelmio_security.signed_cookie.names%'
        tags:
            - { name: kernel.event_listener, event: kernel.request, method: onKernelRequest, priority: 10000 }
            - { name: kernel.event_listener, event: kernel.response, method: onKernelResponse, priority: -10000 }
    nelmio_security.signer:
        class: Nelmio\SecurityBundle\Signer
        arguments:
            - '%nelmio_security.signer.secret%'
            - '%nelmio_security.signer.hash_algo%'
